=== debian/control ===
Source: maxima-sage
Section: math
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>
Build-Depends: ecl, texinfo, libffi-dev, libgmp3-dev, automake, debhelper ( >=10 ), texlive-latex-recommended, tex-common
Standards-Version: 3.9.8
Homepage: http://maxima.sourceforge.net/
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/maxima-sage.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/maxima-sage.git

Package: maxima-sage
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: maxima-sage-share
Suggests: maxima-sage-doc
Replaces: maxima (<< 5.35.2)
Breaks: maxima (<< 5.35.2)
Description: Computer algebra system -- base system
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 The maxima-sage packages are meant to be used together with SageMath.
 They contain the version of Maxima that works together with the
 SageMath version in Debian and use ECL instead of GCL as Lisp compiler.
 To use Maxima by itself, the more complete and up-to-date maxima package
 is recommended.
 .
 This package contains the main executables and base system files.

Package: maxima-sage-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Replaces: maxima-doc (<< 5.35.2)
Breaks: maxima-doc (<< 5.35.2)
Description: Computer algebra system -- documentation
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 The maxima-sage packages are meant to be used together with SageMath.
 They contain the version of Maxima that works together with the
 SageMath version in Debian and use ECL instead of GCL as Lisp compiler.
 To use Maxima by itself, the more complete and up-to-date maxima package
 is recommended.
 .
 This package contains most of the documentation.

Package: maxima-sage-share
Architecture: all
Depends: maxima-sage (>= ${binary:Version}), ${misc:Depends}
Replaces: maxima-share (<< 5.35.2)
Breaks: maxima-share (<< 5.35.2)
Description: Computer algebra system -- extra code
 Maxima is a fully symbolic computation program.  It is full featured
 doing symbolic manipulation of polynomials, matrices, rational
 functions, integration, Todd-coxeter methods for finite group
 analysis, graphing, multiple precision floating point computation.
 It has a symbolic source level debugger for maxima code.  Maxima is
 based on the original Macsyma developed at MIT in the 1970s.  It is
 quite reliable, and has good garbage collection, and no memory leaks.
 It comes with hundreds of self tests.
 .
 The maxima-sage packages are meant to be used together with SageMath.
 They contain the version of Maxima that works together with the
 SageMath version in Debian and use ECL instead of GCL as Lisp compiler.
 To use Maxima by itself, the more complete and up-to-date maxima package
 is recommended.
 .
 This package contains a set of contributed routines and add-on 
 packages.
