=== debian/watch ===
version=2
http://sf.net/maxima/maxima-([^-]*)\.tar.gz debian uupdate
