## maxima-sage 5.39.0+ds

=== debian/changelog ===
maxima-sage (5.39.0+ds-3) unstable; urgency=medium

  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Sun, 07 May 2017 16:32:16 +0100

maxima-sage (5.39.0+ds-2) experimental; urgency=medium

  * Build-Depend on python-dev.

 -- Tobias Hansen <thansen@debian.org>  Mon, 03 Apr 2017 21:01:21 +0100

maxima-sage (5.39.0+ds-1) experimental; urgency=medium

  * New upstream version.
  * Remove stdin-illegal-seek.patch (applied upstream).
  * Apply handle-multiple-ldflags.patch. (Closes: #847925)
  * Install data files to /usr/share/maxima-sage instead of /usr/share/maxima
    using new patch change_name_to_maxima-sage.patch.
  * Repack source to get rid of dos line endings conflicting with git.

 -- Tobias Hansen <thansen@debian.org>  Mon, 03 Apr 2017 19:53:07 +0100
