=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>
-Build-Depends: ecl, texinfo, libffi-dev, libgmp3-dev, automake, debhelper ( >=10 ), texlive-latex-recommended, tex-common
+Build-Depends: ecl (>= 16.1.2), texinfo, libffi-dev, libgmp3-dev, automake, debhelper ( >=10 ), texlive-latex-recommended, tex-common, python-dev
 Standards-Version: 3.9.8
 Homepage: http://maxima.sourceforge.net/
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/maxima-sage.git
@@ -14,8 +14,6 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: maxima-sage-share
 Suggests: maxima-sage-doc
-Replaces: maxima (<< 5.35.2)
-Breaks: maxima (<< 5.35.2)
 Description: Computer algebra system -- base system
  Maxima is a fully symbolic computation program.  It is full featured
  doing symbolic manipulation of polynomials, matrices, rational
@@ -38,8 +36,6 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: maxima-doc (<< 5.35.2)
-Breaks: maxima-doc (<< 5.35.2)
 Description: Computer algebra system -- documentation
  Maxima is a fully symbolic computation program.  It is full featured
  doing symbolic manipulation of polynomials, matrices, rational
@@ -61,8 +57,6 @@
 Package: maxima-sage-share
 Architecture: all
 Depends: maxima-sage (>= ${binary:Version}), ${misc:Depends}
-Replaces: maxima-share (<< 5.35.2)
-Breaks: maxima-share (<< 5.35.2)
 Description: Computer algebra system -- extra code
  Maxima is a fully symbolic computation program.  It is full featured
  doing symbolic manipulation of polynomials, matrices, rational
