=== debian/changelog ===
maxima-sage (5.41.0+ds-4) unstable; urgency=medium

  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Wed, 16 Jan 2019 17:18:09 +0000

maxima-sage (5.41.0+ds-3) experimental; urgency=medium

  * Rebuild against ecl 16.1.3.

 -- Tobias Hansen <thansen@debian.org>  Wed, 16 Jan 2019 12:25:40 +0100

maxima-sage (5.41.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Wed, 05 Sep 2018 21:04:02 +0200

maxima-sage (5.41.0+ds-1) experimental; urgency=medium

  * New upstream version.
  * Upload to experimental.
  * Update Vcs-* fields for Salsa.
  * Bump Standards-Version.
  * Remove entries of deleted files in doc/misc from d/copyright.

 -- Tobias Hansen <thansen@debian.org>  Sat, 07 Jul 2018 20:02:34 +0200
