=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>
-Build-Depends: ecl (>= 16.1.2), texinfo, libffi-dev, libgmp3-dev, automake, debhelper ( >=10 ), texlive-latex-recommended, tex-common, python-dev
-Standards-Version: 3.9.8
+Build-Depends: ecl (>= 16.1.3), texinfo, libffi-dev, libgmp3-dev, automake, debhelper ( >=10 ), texlive-latex-recommended, tex-common, python-dev
+Standards-Version: 4.3.0
 Homepage: http://maxima.sourceforge.net/
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/maxima-sage.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/maxima-sage.git
+Vcs-Git: https://salsa.debian.org/science-team/maxima-sage.git
+Vcs-Browser: https://salsa.debian.org/science-team/maxima-sage
 
 Package: maxima-sage
 Architecture: any
@@ -73,5 +73,5 @@
  To use Maxima by itself, the more complete and up-to-date maxima package
  is recommended.
  .
- This package contains a set of contributed routines and add-on 
+ This package contains a set of contributed routines and add-on
  packages.
